View Issue Details

IDProjectCategoryView StatusLast Update
14796Bug reports[All Projects] Response browsingpublic2019-05-10 15:36
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0dev 
Target VersionFixed in Version4.0.0dev 
Summary14796: Unable to browse response
Description

Have a encrypt on null with included survey.

Steps To Reproduce

Import LSQ, update your security.php (maybe) with

$config = array();
$config['encryptionkeypair'] = 'adc859c56ee59093ea87e46b204b9f93212faf7a6c67c7d54fda9d16848ca6f64b4fc929a988d896dc4dc5cf72a08545a0d4b430bf2ae75d928b6c9e827e93624b4fc929a988d896dc4dc5cf72a08545a0d4b430bf2ae75d928b6c9e827e9362';
$config['encryptionpublickey'] = '4b4fc929a988d896dc4dc5cf72a08545a0d4b430bf2ae75d928b6c9e827e9362';
$config['encryptionsecretkey'] = 'adc859c56ee59093ea87e46b204b9f93212faf7a6c67c7d54fda9d16848ca6f64b4fc929a988d896dc4dc5cf72a08545a0d4b430bf2ae75d928b6c9e827e9362';
return $config;

Activate debug mode and try to browse response.

Additional Information

I NEVER check encrypt somwhere

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 14795 assigneddominikvitt Development  Extend Token Response etc … to automatically encryt/decrypt 

Activities

DenisChenu

DenisChenu

2019-04-24 14:18

developer  

Capture d’écran du 2019-04-24 14-14-00.png (110,758 bytes)
survey_archive_cryot.lsa (4,575 bytes)
dominikvitt

dominikvitt

2019-04-25 17:21

developer   ~51581

https://github.com/LimeSurvey/LimeSurvey/commit/ed70713fbfe53f7f8d9c324524b9e5a80af7d15c

c_schmitz

c_schmitz

2019-05-10 15:36

administrator   ~51880

4.0beta1 released

Issue History

Date Modified Username Field Change
2019-04-24 14:18 DenisChenu New Issue
2019-04-24 14:18 DenisChenu File Added: Capture d’écran du 2019-04-24 14-14-00.png
2019-04-24 14:18 DenisChenu File Added: survey_archive_cryot.lsa
2019-04-24 14:26 DenisChenu Assigned To => dominikvitt
2019-04-24 14:26 DenisChenu Status new => assigned
2019-04-24 14:27 DenisChenu Relationship added related to 14795
2019-04-25 17:21 dominikvitt Status assigned => resolved
2019-04-25 17:21 dominikvitt Resolution open => fixed
2019-04-25 17:21 dominikvitt Fixed in Version => 4.0.0dev
2019-04-25 17:21 dominikvitt Note Added: 51581
2019-05-10 15:36 c_schmitz Note Added: 51880
2019-05-10 15:36 c_schmitz Status resolved => closed